Package com.io7m.idstore.model

# Record Class IdAdmin

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdAdmin

Record Components:
  `id` - The admin's ID
  `idName` - The admin's id name
  `realName` - The admin's real name
  `emails` - The admin's emails
  `password` - The admin's password
  `timeCreated` - The date the admin was created
  `timeUpdated` - The date the admin was last updated
  `permissions` - The set of permissions belonging to the admin

public record IdAdmin(UUID id, IdName idName, IdRealName realName, IdNonEmptyList<IdEmail> emails, OffsetDateTime timeCreated, OffsetDateTime timeUpdated, IdPassword password, IdAdminPermissionSet permissions) extends Record
Information for a single administrator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAdmin(UUID id, IdName idName, IdRealName realName, IdNonEmptyList<IdEmail> emails, OffsetDateTime timeCreated, OffsetDateTime timeUpdated, IdPassword password, IdAdminPermissionSet permissions)`
  Information for a single administrator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdNonEmptyList<IdEmail>`
  `emails()`
  Returns the value of the `emails` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `UUID`
  `id()`
  Returns the value of the `id` record component.
  `IdName`
  `idName()`
  Returns the value of the `idName` record component.
  `IdPassword`
  `password()`
  Returns the value of the `password` record component.
  `IdAdminPermissionSet`
  `permissions()`
  Returns the value of the `permissions` record component.
  `IdRealName`
  `realName()`
  Returns the value of the `realName` record component.
  `OffsetDateTime`
  `timeCreated()`
  Returns the value of the `timeCreated` record component.
  `OffsetDateTime`
  `timeUpdated()`
  Returns the value of the `timeUpdated` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdAdmin`
  `withRedactedPassword()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAdmin

    public IdAdmin(UUID id, IdName idName, IdRealName realName, IdNonEmptyList<IdEmail> emails, OffsetDateTime timeCreated, OffsetDateTime timeUpdated, IdPassword password, IdAdminPermissionSet permissions)
    Information for a single administrator.
    Parameters:
      `id` - The admin's ID
      `idName` - The admin's id name
      `realName` - The admin's real name
      `emails` - The admin's emails
      `password` - The admin's password
      `timeCreated` - The date the admin was created
      `timeUpdated` - The date the admin was last updated
      `permissions` - The set of permissions belonging to the admin

- ## Method Details

  - ### withRedactedPassword

    public IdAdmin withRedactedPassword()
    Returns:
      This admin with a redacted password hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public UUID id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### idName

    public IdName idName()
    Returns the value of the `idName` record component.
    Returns:
      the value of the `idName` record component

  - ### realName

    public IdRealName realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component

  - ### emails

    public IdNonEmptyList<IdEmail> emails()
    Returns the value of the `emails` record component.
    Returns:
      the value of the `emails` record component

  - ### timeCreated

    public OffsetDateTime timeCreated()
    Returns the value of the `timeCreated` record component.
    Returns:
      the value of the `timeCreated` record component

  - ### timeUpdated

    public OffsetDateTime timeUpdated()
    Returns the value of the `timeUpdated` record component.
    Returns:
      the value of the `timeUpdated` record component

  - ### password

    public IdPassword password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### permissions

    public IdAdminPermissionSet permissions()
    Returns the value of the `permissions` record component.
    Returns:
      the value of the `permissions` record component